Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class GetAuthToken

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.GetAuthToken

public class GetAuthToken
extends Request

The get_authToken message is used to obtain an authentication token. The token is then required to be used for every other uddi publishing api call. This bascially logs in a user for updating the information stored in the registry.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`GetAuthToken()` Class Constructor

Method Summary
`java.lang.String` | `getCred()` Get the value of cred
`java.lang.String` | `getUserID()` Get the value of userID
`void` | `setCred(java.lang.String value)` Sets the value of cred
`void` | `setUserID(java.lang.String value)` Sets the value of userID

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAuthToken

    public GetAuthToken()

  Class Constructor

Method Detail

### setCred

    public void setCred(java.lang.String value)

  Sets the value of cred

  Parameters:
    `value` - Value of cred

### getCred

    public java.lang.String getCred()

  Get the value of cred

  Returns:
    Value of cred

### setUserID

    public void setUserID(java.lang.String value)

  Sets the value of userID

  Parameters:
    `value` - Value of userID

### getUserID

    public java.lang.String getUserID()

  Get the value of userID

  Returns:
    Value of userID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference